kind: Deployment
apiVersion: apps/v1
metadata:
  name: app1
  namespace: http-service
  labels:
    app: app1
spec:
  replicas: 1
  selector:
    matchLabels:
      app: app1
  template:
    metadata:
      labels:
        app: app1
    spec:
      containers:
        # #####################################################
        # Start of properties of appsentinels sniffer sidecar container
        - image: appsentinels/ng-controller:latest
          imagePullPolicy: Always
          name: appsentinels-controller
          env:
          - name: APPLICATION_INFO
            value: <your application>
          - name: ENVIRONMENT
            value: <your environment>
          - name: SNIFFER_SENSOR_INSTANCE
            value: <sniffer sensor instance, eg: service-1>
          - name: REMOTE_CONTROLLER_SERVER_NAME
            value: <dns mapped hostname or IP of controller, eg: remote-controller>
          - name: REMOTE_CONTROLLER_SERVER_PORT
            value: "9004"
          - name: TAP_INTERFACE
            value: <interface to sniff on, usually lo for sniffer in pod>
          - name: TAP_FILTER
            value: <bpf filter with hyphens for spaces, eg: port-8090-or-3000-and-tcp>
          - name: RELAY_PROTOCOL
            value: http
          resources:
            requests:
              cpu: 0.5
              memory: 512Mi
            limits:
              cpu: 0.5
              memory: 512Mi
        # end of properties of appsentinels sniffer sidecar container
        # #####################################################
        - name: http-service
          image: appsentinels/http-server:latest
          imagePullPolicy: IfNotPresent
          ports:
            - name: getextractport
              containerPort: 9000
          env:
           - name: HTTP_SERVICE_PORT
             value: "9000"
